# ARBDepthBufferFloat (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBDepthBufferFloat

    java.lang.Object
      org.lwjgl.opengl.ARBDepthBufferFloat

    public final class ARBDepthBufferFloat

extends java.lang.Object

Field Summary
`static int` `GL_DEPTH_COMPONENT32F` Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT:
`static int` `GL_DEPTH32F_STENCIL8` Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT:
`static int` `GL_FLOAT_32_UNSIGNED_INT_24_8_REV` Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_DEPTH_COMPONENT32F

    public static final int GL_DEPTH_COMPONENT32F

  Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT:

  See Also:
    Constant Field Values

### GL_DEPTH32F_STENCIL8

    public static final int GL_DEPTH32F_STENCIL8

  Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorageEXT, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameterivEXT:

  See Also:
    Constant Field Values

### GL_FLOAT_32_UNSIGNED_INT_24_8_REV

    public static final int GL_FLOAT_32_UNSIGNED_INT_24_8_REV

  Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.